package com.hai.dao;

import com.hai.entity.SecSinopecConfig;
import com.hai.entity.SecSinopecConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface SecSinopecConfigMapper extends SecSinopecConfigMapperExt {
    @SelectProvider(type=SecSinopecConfigSqlProvider.class, method="countByExample")
    long countByExample(SecSinopecConfigExample example);

    @DeleteProvider(type=SecSinopecConfigSqlProvider.class, method="deleteByExample")
    int deleteByExample(SecSinopecConfigExample example);

    @Delete({
        "delete from sec_sinopec_config",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int deleteByPrimaryKey(Integer id);

    @Insert({
        "insert into sec_sinopec_config (`name`, app_secret, ",
        "code, create_time, ",
        "SignKey, app_id)",
        "values (#{name,jdbcType=VARCHAR}, #{appSecret,jdbcType=VARCHAR}, ",
        "#{code,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{signkey,jdbcType=VARCHAR}, #{appId,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(SecSinopecConfig record);

    @InsertProvider(type=SecSinopecConfigSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(SecSinopecConfig record);

    @SelectProvider(type=SecSinopecConfigSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="app_secret", property="appSecret", jdbcType=JdbcType.VARCHAR),
        @Result(column="code", property="code", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="SignKey", property="signkey", jdbcType=JdbcType.VARCHAR),
        @Result(column="app_id", property="appId", jdbcType=JdbcType.VARCHAR)
    })
    List<SecSinopecConfig> selectByExample(SecSinopecConfigExample example);

    @Select({
        "select",
        "id, `name`, app_secret, code, create_time, SignKey, app_id",
        "from sec_sinopec_config",
        "where id = #{id,jdbcType=INTEGER}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="app_secret", property="appSecret", jdbcType=JdbcType.VARCHAR),
        @Result(column="code", property="code", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="SignKey", property="signkey", jdbcType=JdbcType.VARCHAR),
        @Result(column="app_id", property="appId", jdbcType=JdbcType.VARCHAR)
    })
    SecSinopecConfig selectByPrimaryKey(Integer id);

    @UpdateProvider(type=SecSinopecConfigSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") SecSinopecConfig record, @Param("example") SecSinopecConfigExample example);

    @UpdateProvider(type=SecSinopecConfigSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") SecSinopecConfig record, @Param("example") SecSinopecConfigExample example);

    @UpdateProvider(type=SecSinopecConfigSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(SecSinopecConfig record);

    @Update({
        "update sec_sinopec_config",
        "set `name` = #{name,jdbcType=VARCHAR},",
          "app_secret = #{appSecret,jdbcType=VARCHAR},",
          "code = #{code,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "SignKey = #{signkey,jdbcType=VARCHAR},",
          "app_id = #{appId,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKey(SecSinopecConfig record);
}