package com.hai.service;

import com.hai.entity.SecConfig;

import java.util.Map;
import java.util.SortedMap;

/**
 * @ClassName SecConfigService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description //TODO
 * @createTime 17:29 2021/6/23
 **/
public interface SecConfigService {

    /**
     * @ClassName SecConfigService.java
     * @author Sum1Dream
     * @version 1.0.0
     * @Description //TODO
     * @createTime 17:30 2021/6/23
     **/
    SecConfig findById(Integer id);

    /**
     * @ClassName SecConfigService.java
     * @author Sum1Dream
     * @version 1.0.0
     * @Description //TODO
     * @createTime 17:31 2021/6/23
     **/
    void updateSecConfig(SecConfig secConfig);

    /**
     * @ClassName SecConfigService.java
     * @author Sum1Dream
     * @version 1.0.0
     * @Description //TODO
     * @createTime 17:36 2021/6/23
     **/
    SecConfig findByCodeType(String codeType);

    /**
    * @Author Sum1Dream
    * @name isConfig.java
    * @Description // 查询值
    * @Date 3:53 下午 2022/3/14
    * @Param [java.lang.String, java.lang.String]
    * @return java.lang.Boolean
    */
    Boolean isConfig(String codeType , String codeValue);

    /**
    * @Author Sum1Dream
    * @name SignVerify.java
    * @Description // 校验签名
    * @Date 09:33 2022/6/10
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return java.lang.Boolean
    */
    Boolean isSignVerify(Map<String, Object> map) throws Exception;

}
