package com.hai.service.impl;

import com.hai.dao.ApiAmountRecordMapper;
import com.hai.entity.ApiAmountRecord;
import com.hai.service.ApiAmountRecordService;
import org.apache.commons.collections4.MapUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

@Service("apiAmountRecordService")
public class ApiAmountRecordServiceImpl implements ApiAmountRecordService {

    @Resource
    private ApiAmountRecordMapper apiAmountRecordMapper;

    @Override
    public void insertAmountRecord(ApiAmountRecord apiAmountRecord) {
        apiAmountRecord.setCreateTime(new Date());
        apiAmountRecord.setUpdateTime(new Date());
        apiAmountRecord.setStatus(100);
        apiAmountRecordMapper.insert(apiAmountRecord);
    }

    @Override
    public ApiAmountRecord findById(Long id) {
        return apiAmountRecordMapper.selectByPrimaryKey(id);
    }
}
