package com.hai.service;

import com.hai.entity.ApiAmountRecord;

/**
 * @serviceName ApiAmountRecordService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 商户金额记录接口
 * @createTime 14:31 2022/6/13
 **/
public interface ApiAmountRecordService {

    /**
    * @Author Sum1Dream
    * @name insertAmountRecord.java
    * @Description // 插入金额记录
    * @Date 14:32 2022/6/13
    * @Param [com.hai.entity.ApiAmountRecord]
    * @return void
    */
    void insertAmountRecord(ApiAmountRecord apiAmountRecord);

    /**
    * @Author Sum1Dream
    * @name findById.java
    * @Description // 查询详情
    * @Date 15:39 2022/6/13
    * @Param [java.lang.Long]
    * @return com.hai.entity.ApiAmountRecord
    */
    ApiAmountRecord findById(Long id);

}
